Subject: Re: bug#79070: [PATCH] Fix macOS dictation post NSTextInputClient migration in v30

From: Stéphane Marks <[email-masked]>
Date: Tue, 22 Jul 2025 10:20:22 -0400

On Tue, Jul 22, 2025 at 10:15 AM Alvaro Ramirez <[email-masked]> wrote:

>
> On 22 Jul 2025, at 15:02, Stéphane Marks <[email-masked]> wrote:
>
> I'd be in favor of that ONLY if macOS 12.7.6 is specifically considered
> unsupported.  Let's spend a little more time figuring out what's missing.
>
>
> Why not do both? Apply a fix that works on officially supported hardware
> (by macOS) now and continue looking for a fix that can be backported to
> older macOS 12 / Intel? They seem to be separate issues anyway.
>
> There are reports that emacs-mac works fine with dictation on 12.7.6 so
> take a look at that code and see what they're doing differently?
>
>
> Happy to take a look. Can you share details please?
>

A version of the emacs-mac code base that's been regularly merged with more
recent Emacs changes lives here https://github.com/jdtsmith/emacs-mac